Subject: Re: [Supa] FW: New Version Notification for draft-zaalouk-supa-vpn-service-management-model-05.txt

From: "Dacheng Zhang" <[email-masked]>
Date: Tue, 19 May 2015 16:21:55 +0800

Thanks for contributions from Andy, Juergen ,Jan, Maxim, Vikram and Will.

The main changes are:
Most Jan’s comments regarding YANG model were addressed.
State info from Maxim were added.
One paragraph explaining the generic VPN and relationship with other model
was added.
A figure illustrate the DDC part was added.
Several sentences discussing L3VPN model in this draft comparing with the
one in L3SM were added.
Lists of Author / Additional Author / Contributor were updated.
All the models passed pyang –ietf validation

Your review and comments are appreciated!

在 15-5-11 下午5:05， "Maxim Klyus" <[email-masked]> 写入:

>Hello SUPA,
>
>I submited new zaalouk draft version, please revise it.
>
>Best Regards,
>Max
>
>________________________________________
>From: [email-masked] [[email-masked]]
>Sent: Monday, May 11, 2015 11:57 AM
>To: Jan Lindblad; Adel Zaalouk; Ying Cheng; Maxim Klyus; Ying Cheng;
>Dacheng Zhang; Adel Zaalouk; Jan Lindblad; Maxim Klyus; Dacheng Zhang
>Subject: New Version Notification for
>draft-zaalouk-supa-vpn-service-management-model-05.txt
>
>A new version of I-D,
>draft-zaalouk-supa-vpn-service-management-model-05.txt
>has been successfully submitted by Maxim Klyus and posted to the
>IETF repository.
>
>Name:           draft-zaalouk-supa-vpn-service-management-model
>Revision:       05
>Title:          VPN Service Management YANG Data Model
>Document date:  2015-05-11
>Group:          Individual Submission
>Pages:          38
>URL:            
>https://www.ietf.org/internet-drafts/draft-zaalouk-supa-vpn-service-manage
>ment-model-05.txt
>Status:         
>https://datatracker.ietf.org/doc/draft-zaalouk-supa-vpn-service-management
>-model/
>Htmlized:       
>https://tools.ietf.org/html/draft-zaalouk-supa-vpn-service-management-mode
>l-05
>Diff:           
>https://www.ietf.org/rfcdiff?url2=draft-zaalouk-supa-vpn-service-managemen
>t-model-05
>
>Abstract:
>   Currently new services create new opportunities for both network
>   providers and service providers. Simplified Use of Policy
>   Abstractions (SUPA) was proposed to develop a model that abstracts
>   network resources and services and a methodology by which the
>   management and monitoring of network services can be done using
>   standardized policy rules. This document defines a VPN service
>   management yang data model and gives an example for DDC use case.
>
>
>
>
>
>
>Please note that it may take a couple of minutes from the time of
>submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat
>
>
>
>________________________________
>The information transmitted herein is intended only for the person or
>entity to which it is addressed and may contain confidential, proprietary
>and/or privileged material. Any review, retransmission, dissemination or
>other use of, or taking of any action in reliance upon, this information
>by persons or entities other than the intended recipient is prohibited.
>If you received this in error, please contact the sender and delete the
>material from any computer.
>
>_______________________________________________
>Supa mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/supa

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 19 May 2015 11:25:23 +0200

I am confused by the model. There is this:

   module: ietf-supa-vpn
      +--rw vpn-instance
         +--rw vpn-instance* [instance-name]
            +--rw name                            string
            +--rw connection-type?                enumeration
            +--rw service-type?                   enumeration
            +--rw access-management
            |  +--rw user-name        string
            |  +--rw user-password    string
            +--rw instance-oper-state?            enumeration
            +--rw instance-admin-state?           enumeration
            +--rw life-cycle-state?               enumeration
	       [...]

This tries to be a generic part. But then we have this:

   module: ietf-supa-abstracted-l3vpn
      +--rw l3vpns
         +--rw l3vpn-instance* [name]
            +--rw name                            string
            +--rw service-type?                   enumeration
            +--rw address-family?                 enumeration
            +--rw instance-oper-state?            enumeration
            +--rw instance-admin-state?           enumeration
            +--rw life-cycle-state?               enumeration
	       [...]

And this:

   module: ietf-supa-l2vpn
      +--rw l2vpn-instances
         +--rw l2vpn-instance* [name]
            +--rw name                            string
            +--rw service-type                    enumeration
            +--rw instance-oper-state?            enumeration
            +--rw instance-admin-state?           enumeration
            +--rw life-cycle-state?               enumeration
	       [...]

This is just redefining things, there are no groupings involved and
there is not an augmentation of the generic model. Things are also not
designed with extensibility in mind, there will be concerns about user
passwords (and authentication really needs to be extensible). But the
biggest question really is why you do not try to come up with a
generic model and suitable extensions / augmentations.

And given there is L3SM, why have another service model done here?

   [...] L3SM is also working
   on an elaborate L3VPN service model. After it's done DDC service
   in SUPA may directly refer the output of L3SM. The abstracted
   L3VPN model here is a subset of the one of L3SM.

It might be useful to explain how the generic model part related to
what is in draft-l3vpn-service-yang-00.txt (I think this is the latest
L3SM document to look at). And perhaps it makes sense to contribute
that back to L3SM instead of creating something different in parallel?

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Dacheng Zhang" <[email-masked]>
Date: Wed, 20 May 2015 11:15:48 +0800

Thanks for your review and comments. About the extensibility and
augmentation you mentioned about the models of generic vpn/l3vpn/l2vpn, ,
we will have a discussion with co-authors and update correspondingly.

About L3sm, we don't know whether they will change a lot in next version,
I mean, it's not a stable version yet. We see some un-addressed comments
there. If there is a stable one, we will think about to remove the l3vpn
part here.

But what remains unclear is whether SUPA will use an highly abstracted
service model for the use of policy focusing on DDC use case, or a
"full-sized" model like the draft in l3sm?

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 20 May 2015 07:46:46 +0200

> "full-sized" model like the draft in l3sm?

It is usually good to have a single standard covering multiple use
cases instead of N standards for N different use cases. If there are
elements in the L3SM model that people find 'too much', work with the
L3SM folks to think about defining suitable features.

/js